fluidsynth-dssi-1.9.9+git13012019-28.2.i586.rpm


Advertisement

Description

fluidsynth-dssi - Fluidsynth Plug-In for Disposable Soft Synth Interface

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename fluidsynth-dssi-1.9.9+git13012019-28.2.i586.rpm
Package name fluidsynth-dssi
Package version 1.9.9+git13012019
Package release 28.2
Package architecture i586
Package type rpm
Category Productivity/Multimedia/Sound/Midi
Homepage http://dssi.sf.net
License GPL-2.0-or-later
Maintainer -
Download size 51.46 KB
Installed size 127.37 KB
FluidSynth-DSSI is the plug-in implementation of fluidsynth on DSSI
(Disposable Soft Synth Interface) with a GTK+ GUI.

Alternatives

Package Version Architecture Repository
fluidsynth-dssi-1.9.9+git13012019-28.2.x86_64.rpm 1.9.9+git13012019 x86_64 Multimedia Libs
fluidsynth-dssi-1.9.9+git13012019-1.1.x86_64.rpm 1.9.9+git13012019 x86_64 openSUSE Oss
fluidsynth-dssi-1.9.9+git13012019-1.1.i586.rpm 1.9.9+git13012019 i586 openSUSE Oss
fluidsynth-dssi - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libfluidsynth.so.2 -
libgdk-x11-2.0.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-x11-2.0.so.0 -
liblo.so.7 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -

Provides

Name Value
fluidsynth-dssi = 1.9.9+git13012019-28.2
fluidsynth-dssi(x86-32) = 1.9.9+git13012019-28.2
libtool(/usr/lib/dssi/fluidsynth-dssi.la) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package fluidsynth-dssi-1.9.9+git13012019-28.2.i586.rpm
Source Package fluidsynth-dssi-1.9.9+git13012019-28.2.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install fluidsynth-dssi rpm package:
    # zypper install fluidsynth-dssi

Files

Path
/usr/lib/dssi/fluidsynth-dssi.la
/usr/lib/dssi/fluidsynth-dssi.so
/usr/lib/dssi/fluidsynth-dssi/FluidSynth-DSSI_gtk
/usr/share/doc/packages/fluidsynth-dssi/ChangeLog
/usr/share/doc/packages/fluidsynth-dssi/README
/usr/share/doc/packages/fluidsynth-dssi/TODO
/usr/share/licenses/fluidsynth-dssi/COPYING

Changelog

2019-04-05 - plater <davejplater@gmail.com>
- Update to pre 2.0.0 git snapshot 1.9.9+git13012019 to fix
Factory build and removed obsolete patch
fluidsynth-dssi-nogtk1.diff
- Upstream changes:
* Add /usr/share/soundfonts to sf2 default paths
* Fixes for recent autotools
* Fixes for fluidsynth 2.x
* Add configuration file support for
* audio/realtime-prio: realtime priority for threads.
* synth/maxchannels:Maximum channels supported by fluidsynth-dssi
* parallel-threads: Number of parallel threads used for sound
rendering
* dynamic-sample-loading: -> synth.dynamic-sample-loading
* Don't trash effects but set NULL to avoid useless copying within
fluidsynth to reduce CPU load
* Fix some gcc truncation warnings
* Set default max channels to 32
* Bug fix to fsd_cleanup() from Rui Nuno Capela, allowing eventual
reinstantiation of FluidSynth (sf.net Tracker ID 1990241).
* Patch from Albert Graef to pass sysex messages on to FluidSynth,
allowing the use of MIDI Tuning Standard.
* Fixed plugin to use reentrant strtok_r().
2011-10-01 - coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
2010-04-02 - davejplater@gmail.com
- Update to version 1.0.0
2009-07-24 - tiwai@suse.de
- fix obsoleted run_ldconfig macro
- clean up using standard rpm macros
- fix missing closedir (bnc#525017)
2009-07-24 - tiwai@suse.de
- fix buildrequires: dssi-devel and libjack-devel
2007-04-17 - tiwai@suse.de
- fix buildrequires ladspa -> ladspa-devel
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires
2005-10-12 - tiwai@suse.de
- removed gtk1 support.
- removed glib* from neededforbuild.
2005-06-14 - tiwai@suse.de
- moved from fluidsynth sub-package: version 0.9.1.

See Also

Package Description
freealut-devel-1.1.0-461.8.i586.rpm Static libraries, header files and tests for openal library
freealut-devel-1.1.0-461.8.x86_64.rpm Static libraries, header files and tests for openal library
frei0r-plugins-1.6.1-40.6.i586.rpm Collection of video sources and filters plugins
frei0r-plugins-1.6.1-40.6.x86_64.rpm Collection of video sources and filters plugins
frei0r-plugins-devel-1.6.1-40.6.i586.rpm Frei0r plugin API for video sources and filters
frei0r-plugins-devel-1.6.1-40.6.x86_64.rpm Frei0r plugin API for video sources and filters
frei0r-plugins-opencv-1.6.1-40.6.i586.rpm OpenCV video sources and filters plugins
frei0r-plugins-opencv-1.6.1-40.6.x86_64.rpm OpenCV video sources and filters plugins
ftgl-demo-2.1.3~rc5-61.1.i586.rpm Demos for FTGL OpenGL font managing library
ftgl-demo-2.1.3~rc5-61.1.x86_64.rpm Demos for FTGL OpenGL font managing library
ftgl-devel-2.1.3~rc5-61.1.i586.rpm Development files for the FTGL OpenGL font managing library
ftgl-devel-2.1.3~rc5-61.1.x86_64.rpm Development files for the FTGL OpenGL font managing library
gavl-1.4.0rsvn4256-23.51.i586.rpm Library which provides basic support for uncompressed multimedia data
gavl-1.4.0rsvn4256-23.51.x86_64.rpm Library which provides basic support for uncompressed multimedia data
gdk-pixbuf-loader-libopenraw-0.0.9-46.15.i586.rpm A library to decode digital camera RAW files -- gdk-pixbuf loader
Advertisement
Advertisement